Bug 130156 - Disk druid does not allow to change the order of paritions
Disk druid does not allow to change the order of paritions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-17 12:05 EDT by Oded Arbel
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 12:08:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2004-08-17 12:05:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
When creating partitions in Disk Druid (manually or editing the automatic selection), its impossible to determine the order of partitions manually - the disk druid chooses the order and there is no (apparent) way to modify the order.

This is a problem for me as I usually install a dual boot system with Linux installed first and Windows XP second, as I like my windows on a VFAT system and XP only allows an NTFS if it formats the disk. but I need the windows parition first (to make XP happy) and Disk Druid wants to put the windows partition always second (after /).

Version-Release number of selected component (if applicable):
fedora core 3 - test 1

How reproducible:
Always

Steps to Reproduce:
1. install fedora core
2. create a vfat partition (mount it under /mnt/windows or something)
3. create a couple of other paritions.


Actual Results:  The windows partition cannot be moved to be in the first position unless its the only parition on the disk
    

Expected Results:  The Windows partition would be set as the first partition (as it was created first) or at least have the option to move it there after Disk Druid chooses the order automatically 

Additional info:
Comment 1 Jeremy Katz 2004-08-18 12:08:41 EDT
This is intentional.  The algorithm used is done to maximize the size
of partitions which are growing.  If you want to have a partition at a
specific point on the disk, then you can edit free space on the disk
to create partitions by cylinders (just like you can in fdisk).

Note You need to log in before you can comment on or make changes to this bug.